Bug 813309 - NPE when generating task forms and there is a human task, whose TaskName is not set
NPE when generating task forms and there is a human task, whose TaskName is n...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ER7
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 09:11 EDT by Jiri Locker
Modified: 2016-07-31 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (2.83 KB, text/plain)
2012-04-17 09:11 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-04-17 09:11:49 EDT
Created attachment 578026 [details]
server.log

Description of problem:
NullPointerException is really not what user wants to see.

Version-Release number of selected component (if applicable):
ER5

How reproducible:
always

Steps to Reproduce:
1. create a process with a User task node
2. click Generate Task Form Templates
  
Actual results:
HTTP Status 500 (uncaught NPE)

Expected results:
Error message reporting which User task node is missing the TaskName value.

Additional info:
Comment 1 Zuzana Krejčová 2012-04-18 04:53:56 EDT
This is a bit crazy, but.. If you assign some group ID to the task, it does not throw that NPE, it will only generate a form for the process and won't generate it for the task. Assigning to a user doesn't have this effect.
Comment 2 Tihomir Surdilovic 2012-04-20 15:25:16 EDT
Designer will only generate the task form it the User Task defines a TaskName attribute value. Otherwise it does not know what to call the task form.
Comment 3 Maciej Swiderski 2012-04-20 17:17:32 EDT
issue was caused by missing io specification and additional check was introduced in designer to ensure proper handling.
Comment 4 Ryan Zhang 2012-04-23 03:36:02 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 5 Ryan Zhang 2012-04-23 04:17:15 EDT
Confirmed that it is not picked in ER6. Change the status back
Comment 7 Ryan Zhang 2012-05-14 04:16:09 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 9 Jiri Locker 2012-05-21 08:46:57 EDT
Fix verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.